import { FC, HTMLAttributes } from 'react'
import { AccountBookFilled } from '@ant-design/icons'
import { EmojiNS } from '..'
export declare namespace ButtonNS {
  type Types = 'primary' | 'secondary' | 'dashed' | 'link' | 'text'
  type HtmlType = 'submit' | 'reset' | 'button'
  type Size = 'small' | 'normal' | 'large'
  type HtmlTypes = '_self' | '_blank' | '_parent' | '_top'
  type Variants = 'inherit' | 'success' | 'info' | 'warning' | 'error'
  type Icon = typeof AccountBookFilled | EmojiNS.Emojis.Names
  interface Props extends Omit<HTMLAttributes<HTMLButtonElement>, 'type'> {
    type?: Types
    htmlType?: HtmlType
    size?: Size
    href?: string
    target?: HtmlTypes
    innerClassName?: string
    suffixClassName?: string
    prefixClassName?: string
    disabled?: boolean
    loading?: boolean
    full?: boolean
    active?: boolean
    variant?: Variants
    prefixIcon?: Icon
    suffixIcon?: Icon
  }
}
export declare const Button: FC<ButtonNS.Props>
