import { FC, HTMLAttributes } from 'react'
import {
  EMOJI_GROUP_NAMES,
  EMOJI_NAMES,
  EMOJI_SUBGROUP_NAMES,
} from './constants'
export declare namespace EmojiNS {
  interface Props extends Omit<HTMLAttributes<HTMLImageElement>, 'src'> {
    name: Emojis.Names
  }
  namespace Emojis {
    type GroupNames = typeof EMOJI_GROUP_NAMES[number]
    type SubgroupNames = typeof EMOJI_SUBGROUP_NAMES[number]
    type Names = typeof EMOJI_NAMES[number]
    type Data = {
      [name in GroupNames]: {
        [name: string]: {
          [name: string]: string
        }
      }
    }
  }
}
export declare const Emoji: FC<EmojiNS.Props>
