import { FC, HTMLAttributes, MouseEvent } from 'react'
import { EmojiNS } from '..'
import { Range } from '../../types/enumerable'
export declare namespace ReactionRateNS {
  type EmojiName = EmojiNS.Emojis.Names
  type SelectedRange = Range<1, 6>
  type Sizes = 'small' | 'normal' | 'large'
  interface Props extends Omit<HTMLAttributes<HTMLDivElement>, 'onSelect'> {
    type?: 'quintuple' | 'couple'
    selectedReaction?: SelectedRange
    loading?: boolean
    disabled?: boolean
    size?: Sizes
    onSelect?: (
      rate: SelectedRange,
      evt?: MouseEvent<HTMLButtonElement>,
    ) => void
    emojis?:
      | [EmojiName, EmojiName]
      | [EmojiName, EmojiName, EmojiName, EmojiName, EmojiName]
  }
}
export declare const ReactionRate: FC<ReactionRateNS.Props>
