import { FC, HTMLAttributes } from 'react'
import { Range } from '../../types/enumerable'
export declare namespace TypographyNS {
  namespace TextNS {
    type Types = 'common' | 'bold' | 'light' | 'underlined' | 'strikethrough'
    type Sizes = 'small' | 'normal' | 'large'
    interface Props extends HTMLAttributes<HTMLParagraphElement> {
      common?: boolean
      bold?: boolean
      light?: boolean
      underlined?: boolean
      strikethrough?: boolean
      small?: boolean
      normal?: boolean
      large?: boolean
    }
  }
  namespace TitleNS {
    type Sizes = Range<1, 7>
    interface Props extends HTMLAttributes<HTMLHeadElement> {
      h1?: boolean
      h2?: boolean
      h3?: boolean
      h4?: boolean
      h5?: boolean
      h6?: boolean
    }
  }
}
export declare const Text: FC<TypographyNS.TextNS.Props>
export declare const Title: FC<TypographyNS.TitleNS.Props>
